package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 会员修改类型
 * @Author: jiang chao
 * @Time: 2023/1/12 10:42
 * @Classname: EMemberChangeType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EMemberChangeType {

    /**
     * 修改昵称
     */
    NICK_NAME(1, "修改昵称"),

    /**
     * 修改头像
     */
    HEAD(2, "修改头像"),

    /**
     * 修改登录密码
     */
    LOGIN_PWD(3, "修改登录密码"),

    /**
     * 修改支付密码
     */
    PAY_PWD(4, "修改支付密码"),

    /**
     * 修改邮箱
     */
    EMAIL(5, "修改邮箱"),

    /**
     * 用户退单（退单后，该用户变为已注销）
     */
    ORDER_RETURN(6, "用户退单"),

    /**
     * 修改会员姓名
     */
    MEMBER_NAME(7, "修改会员姓名"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
